Name:           pony
Version:        0.4
Release:        2%{?dist}
Summary:        An image manager

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.fedorahosted.org/pony
Source0:        http://fedorahosted.org/releases/p/o/pony/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  kdelibs4-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python-devel
BuildRequires:  PyKDE4-devel


%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: Django
Requires: python-flickrapi
Requires: pyexiv2
Requires: PyKDE4
Requires: PyQt4
Requires: python-imaging


%description
Pony is a simple image manager


%prep
%setup -q
sed -i -e "s|#!/usr/bin/env python||" gviewUI.py

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#%find_lang %{name}
HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d %{buildroot}${HTML_DIR} ]; then
for lang_dir in %{buildroot}${HTML_DIR}/* ; do
  if [ -d ${lang_dir} ]; then
    lang=$(basename ${lang_dir})
    echo "%lang(${lang}) ${HTML_DIR}/${lang}/%{name}/" >> %{name}.lang
  fi
done
fi


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :


%files -f %{name}.lang
#%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_kde4_bindir}/pony
%{_kde4_appsdir}/pony/
%{_kde4_datadir}/applications/kde4/pony.desktop
%{_kde4_iconsdir}/hicolor/*/*/*


%changelog
* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.4-2
- recompiling .py files against Python 2.7 (rhbz#623348)

* Fri Aug 14 2009 Kushal Das <kushal@fedoraproject.org> 0.4-1
- New release of pony

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 03 2009 Kushal Das <kushal@fedoraproject.org> 0.2-1
- New release of pony

* Thu May 28 2009 Kushal Das <kushal@fedoraproject.org> 0.1-2
- Fixed source link in spec

* Thu May 28 2009 Kushal Das <kushal@fedoraproject.org> 0.1-1
- Initial release

